#
# Copyright 2014 CHLSoftware
#
# A simple file monitor example. Doesn't detect files being renamed or deleted
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


import time
import DocMotoFileMonitorUtils
from DocMotoFileMonitorUtils import CHLMonitor

#The DocMoto folder eg. "Contents/monitortest"
DocMotoFileMonitorUtils.DOCMOTO_BASE_FOLDER = "Contents/monitortest" #Not to end in. /

#The DocMoto server URL. https for secure and port 3984. Port 4984 for autoversioning.
DocMotoFileMonitorUtils.DOCMOTO_SERVER_URL = "https://localhost:3984" #Not to end in /

#DocMoto user name and password.
DocMotoFileMonitorUtils.DOCMOTO_USERNAME = "myUser"
DocMotoFileMonitorUtils.DOCMOTO_PWD = "myUserPassword"

#Set logging. Modes, 0 = errors only, 1 = all
DocMotoFileMonitorUtils.LOG_MODE = 0

#Log file. By default created in python app folder
DocMotoFileMonitorUtils.LOG_PATH = "activity.log"

#Remove the local file after upload. 0 = No, 1 = Archive, 2 = Delete
DocMotoFileMonitorUtils.REMOVE_AFTER_UPLOAD = 1

#The archive folder. By default in the app folder
DocMotoFileMonitorUtils.ARCHIVE_PATH = "archive"


if __name__ == "__main__":

    myMonitor = CHLMonitor()
    myMonitor.watch(path='../../test',recursive=True)
    myMonitor.scan()

    var = 1
    while var == 1:
        myMonitor.scan()
        time.sleep(10)

